import { ICellRendererComp, ICellRendererParams } from '@ag-grid-community/core';
import { ActionRendererParams } from '@genesislcap/grid-pro';
import { FoundationElement } from '@microsoft/fast-foundation';
import { FDC3 } from './fdc3';
/**
 * The AG Action Renderer Styles.
 * @public
 */
export declare const fdc3AgActionRendererStyles: import("@microsoft/fast-element").ElementStyles;
/**
 * The AG Action Renderer element.
 * @public
 */
export declare class Fdc3GridActionRaiseIntent extends FoundationElement implements ICellRendererComp {
    fdc3: FDC3;
    intentName: string;
    intentContextType: string;
    clickHandler(): Promise<void>;
    params: ICellRendererParams & ActionRendererParams;
    pendingAction: boolean;
    init(params: ICellRendererParams & ActionRendererParams): void;
    getGui(): HTMLElement;
    refresh(params: ICellRendererParams): boolean;
    isDisabled(data: any): boolean;
    get dataTestId(): string;
}
/**
 * A function that returns a Foundation Action Renderer for configuring the component with a DesignSystem that raises an fdc3 intent.
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-grid-pro-action-raise-intent-renderer\>
 */
export declare const foundationGridProRaiseIntentActionRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Fdc3GridActionRaiseIntent, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Fdc3GridActionRaiseIntent, any>;
}, typeof Fdc3GridActionRaiseIntent>;
//# sourceMappingURL=fdc3-grid-action-raise-intent.d.ts.map