## API Report File for "@genesislcap/foundation-fdc3"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { ActionRendererParams } from '@genesislcap/grid-pro';
import { AppIntent } from '@finos/fdc3';
import { Channel } from '@finos/fdc3';
import { Container } from '@microsoft/fast-foundation';
import { Context } from '@finos/fdc3';
import { ContextHandler } from '@finos/fdc3';
import { ElementStyles } from '@microsoft/fast-element';
import { FASTElement } from '@genesislcap/web-core';
import { FoundationElement } from '@microsoft/fast-foundation';
import { FoundationElementRegistry } from '@microsoft/fast-foundation';
import { ICellRendererComp } from '@ag-grid-community/core';
import { ICellRendererParams } from '@ag-grid-community/core';
import { IntentResolution } from '@finos/fdc3';
import { Intents } from '@finos/fdc3';
import { InterfaceSymbol } from '@microsoft/fast-foundation';
import { OverrideFoundationElementDefinition } from '@microsoft/fast-foundation';
import { ViewTemplate } from '@microsoft/fast-element';

// @public (undocumented)
export const baseFdc3Components: {
    foundationGridProRaiseIntentActionRenderer: (overrideDefinition?: OverrideFoundationElementDefinition<    {
    baseName: string;
    styles: ElementStyles;
    template: ViewTemplate<Fdc3GridActionRaiseIntent, any>;
    }>) => FoundationElementRegistry<    {
    baseName: string;
    styles: ElementStyles;
    template: ViewTemplate<Fdc3GridActionRaiseIntent, any>;
    }, Fdc3GridActionRaiseIntent>;
    Fdc3ChannelEvent: typeof Fdc3ChannelEvent;
    register(container?: Container, ...rest: any[]): void;
};

// Warning: (ae-internal-missing-underscore) The name "DefaultFDC3" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export class DefaultFDC3 implements FDC3 {
    constructor();
    // (undocumented)
    addIntentListeners(listeners: Map<FDC3Intents, FDC3ContextHandler>): void;
    // (undocumented)
    broadcastOnChannel(channelName: string, type: string, payload: any): Promise<void>;
    // (undocumented)
    broadcastOnChannelEventHandler(channelName: string, type: string): Promise<(e: any) => Promise<void>>;
    // (undocumented)
    findIntent(intent: FDC3Intents, context?: FDC3Context): Promise<FDC3AppIntent>;
    // (undocumented)
    findIntentsByContext(context: FDC3Context): Promise<FDC3AppIntent[]>;
    // (undocumented)
    getOrCreateChannel(channelId: string): Promise<FDC3Channel>;
    // (undocumented)
    isReady: boolean;
    // (undocumented)
    joinChannel(channelId: string): Promise<void>;
    // (undocumented)
    raiseIntent(context: FDC3Context, intent?: FDC3Intents): Promise<FDC3IntentResolution>;
}

// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "FDC3" because one of its declarations is marked as @internal
//
// @public
export interface FDC3 {
    addIntentListeners(listeners: Map<FDC3Intents, FDC3ContextHandler>): void;
    broadcastOnChannel(channelName: string, type: string, payload: any): Promise<void>;
    broadcastOnChannelEventHandler(channelName: string, type: string): Promise<(e: any) => Promise<void>>;
    findIntent(intent: FDC3Intents, context?: FDC3Context): Promise<FDC3AppIntent>;
    findIntentsByContext(context: FDC3Context): Promise<FDC3AppIntent[]>;
    getOrCreateChannel(channelId: string): Promise<FDC3Channel>;
    isReady: boolean;
    joinChannel(channelId: string): Promise<void>;
    raiseIntent(context: FDC3Context, intent?: FDC3Intents): Promise<FDC3IntentResolution>;
}

// @internal
export const FDC3: InterfaceSymbol<FDC3>;

// @public
export const fdc3AgActionRendererStyles: ElementStyles;

// @public (undocumented)
export interface FDC3AppIntent extends AppIntent {
}

// @public (undocumented)
export interface FDC3Channel extends Channel {
}

// Warning: (ae-internal-missing-underscore) The name "Fdc3ChannelEvent" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export class Fdc3ChannelEvent extends FASTElement {
    // (undocumented)
    channelName: string;
    // (undocumented)
    channelType: string;
    // (undocumented)
    connectedCallback(): void;
    // (undocumented)
    disconnectedCallback(): void;
    // (undocumented)
    eventName: string;
    // (undocumented)
    fdc3: FDC3;
}

// @public (undocumented)
export interface FDC3Context extends Context {
}

// @public (undocumented)
export type FDC3ContextHandler = ContextHandler;

// @public
export class Fdc3GridActionRaiseIntent extends FoundationElement implements ICellRendererComp {
    // (undocumented)
    clickHandler(): Promise<void>;
    // (undocumented)
    get dataTestId(): string;
    // (undocumented)
    fdc3: FDC3;
    // (undocumented)
    getGui(): HTMLElement;
    // (undocumented)
    init(params: ICellRendererParams & ActionRendererParams): void;
    // (undocumented)
    intentContextType: string;
    // (undocumented)
    intentName: string;
    // (undocumented)
    isDisabled(data: any): boolean;
    // (undocumented)
    params: ICellRendererParams & ActionRendererParams;
    // (undocumented)
    pendingAction: boolean;
    // (undocumented)
    refresh(params: ICellRendererParams): boolean;
}

// @public (undocumented)
export interface FDC3IntentResolution extends IntentResolution {
}

// @public (undocumented)
export type FDC3Intents = Intents;

// @public
export const foundationGridProRaiseIntentActionRenderer: (overrideDefinition?: OverrideFoundationElementDefinition<    {
baseName: string;
styles: ElementStyles;
template: ViewTemplate<Fdc3GridActionRaiseIntent, any>;
}>) => FoundationElementRegistry<    {
baseName: string;
styles: ElementStyles;
template: ViewTemplate<Fdc3GridActionRaiseIntent, any>;
}, typeof Fdc3GridActionRaiseIntent>;

// Warnings were encountered during analysis:
//
// src/fdc3-components.ts:8:32 - (ae-incompatible-release-tags) The symbol "Fdc3ChannelEvent" is marked as @public, but its signature references "Fdc3ChannelEvent" which is marked as @internal

// (No @packageDocumentation comment for this package)

```
